/*
 * 作成日: 2008/08/05
 * 著作権: Copyright (c) 2005 ZIGEN
 * ライセンス：Eclipse Public License - v 1.0
 * 原文：http://www.eclipse.org/legal/epl-v10.html
 */
package zigen.plugin.db.ext.s2jdbc.dto;

import zigen.plugin.db.core.TableColumn;
import zigen.plugin.db.ext.s2jdbc.ICodeGenerator;
import zigen.plugin.db.ext.s2jdbc.ui.DefaultGenerateDtoAction;

public class GenerateDtoAction extends DefaultGenerateDtoAction {
	
	public ICodeGenerator createDtoGenerator(String queryName, TableColumn[] columns) throws Exception {
		return new DtoGenerator(config, queryName, columns);
	}
	
	public String getTitle() {
		return Messages.getString("GenerateDtoAction.Title"); //$NON-NLS-1$
		
	}
	
	public String getMessage() {
		return Messages.getString("PackageSelectDialog.Message"); //$NON-NLS-1$
	}
}
